Page MenuHomePhabricator

[llvm-cov[ Fix lcov coverage report contains functions from other compilation units.
ClosedPublic

Authored by eagleonhill on Jun 19 2019, 1:56 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

eagleonhill created this revision.Jun 19 2019, 1:56 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 19 2019, 1:56 PM
Dor1s added a comment.Jun 20 2019, 6:56 AM

+1, the change looks good, but if you could modify the existing test for lcov export in a way so that it starts failing with the existing implementation but will pass after your chance, that'd be awesome.

Dor1s added a comment.Jun 20 2019, 7:01 AM

+1, the change looks good, but if you could modify the existing test for lcov export in a way so that it starts failing with the existing implementation but will pass after your chance, that'd be awesome.

s/chance/change/

Dor1s accepted this revision.Jun 27 2019, 10:32 AM

Apologies for the delayed review. LGTM and thanks for the fix!

This revision is now accepted and ready to land.Jun 27 2019, 10:32 AM

Thanks. Seems I don't have commit permission, could you help me do that or instruct me on how to merge it?

Dor1s added a comment.Jun 27 2019, 8:27 PM

No problem, I'll commit it tomorrow on your behalf.

Dor1s retitled this revision from Fix lcov coverage report contains functions from other compilation units. to [llvm-cov[ Fix lcov coverage report contains functions from other compilation units..Jun 28 2019, 8:20 AM
Dor1s edited the summary of this revision. (Show Details)
Dor1s updated this revision to Diff 207072.Jun 28 2019, 8:37 AM

Getting ready to commit.

This revision was automatically updated to reflect the committed changes.